import { Select as FoundationSelect, SelectOptions } from '@microsoft/fast-foundation';
import { selectStyles as styles } from './select.styles';
/**
 * Base class for Select
 * @public
 */
export declare class Select extends FoundationSelect {
    /**
     * Whether the select has a compact layout or not.
     *
     * @public
     * @remarks
     * HTML Attribute: minimal
     */
    minimal: boolean;
}
/**
 * A function that returns a Select registration for configuring the component with a DesignSystem.
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-select>`
 *
 */
export declare const jpSelect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<SelectOptions> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<SelectOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
export { styles as selectStyles };
