// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--default');
    expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-default.png');
}));
test('Without href', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--without-href');
    expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-without-href.png');
}));
test('With Start Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--with-start-icon');
    expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-with-start-icon.png');
}));
test('With End Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--with-end-icon');
    expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-with-end-icon.png');
}));
