import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--default');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-default.png');
}));
test('Error', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--error');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-error.png');
}));
test('Neutral', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--neutral');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-neutral.png');
}));
test('Lightweight', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--lightweight');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-lightweight.png');
}));
// test('With Autofocus', async ({ page }) => {
//   await page.goto('/iframe.html?id=button--with-autofocus');
//   expect(
//     await page.locator('jp-button').screenshot()
//   ).toMatchSnapshot('button-with-autofocus.png');
// });
test('With Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--with-disabled');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-with-disabled.png');
}));
test('With Start Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--with-start-icon');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-with-start-icon.png');
}));
test('Icon Only', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=button--icon-only');
    expect(yield page.locator('jp-button').screenshot()).toMatchSnapshot('button-icon-only.png');
}));
