// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--default');
    expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-default.png');
}));
test('Checked', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--with-checked');
    expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-with-checked.png');
}));
test('Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--with-disabled');
    expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-disabled.png');
}));
test('Indeterminate', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--with-indeterminate');
    expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-indeterminate.png');
}));
