// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio-group--default');
    expect(yield page.locator('jp-radio-group').screenshot()).toMatchSnapshot('radio-group-default.png');
}));
test('Vertical', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio-group--vertical');
    expect(yield page.locator('jp-radio-group').screenshot()).toMatchSnapshot('radio-group-vertical.png');
}));
test('Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio-group--with-disabled');
    expect(yield page.locator('jp-radio-group').screenshot()).toMatchSnapshot('radio-group-disabled.png');
}));
test('Read-only', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio-group--with-read-only');
    expect(yield page.locator('jp-radio-group').screenshot()).toMatchSnapshot('radio-group-read-only.png');
}));
