// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio--default');
    expect(yield page.locator('jp-radio').screenshot()).toMatchSnapshot('radio-default.png');
}));
test('Checked', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio--with-checked');
    expect(yield page.locator('jp-radio').screenshot()).toMatchSnapshot('radio-checked.png');
}));
test('Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio--with-disabled');
    expect(yield page.locator('jp-radio').screenshot()).toMatchSnapshot('radio-disabled.png');
}));
test('Read-only', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=radio--with-read-only');
    expect(yield page.locator('jp-radio').screenshot()).toMatchSnapshot('radio-read-only.png');
}));
