// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=slider--default');
    expect(yield page.locator('body').screenshot()).toMatchSnapshot('slider-default.png');
}));
test('Vertical', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=slider--vertical');
    expect(yield page.locator('body').screenshot()).toMatchSnapshot('slider-vertical.png');
}));
test('With Disabled', ({ browserName, page }) => __awaiter(void 0, void 0, void 0, function* () {
    // FIXME
    test.skip(browserName === 'webkit', 'Slider thumb animation unstable.');
    yield page.goto('/iframe.html?id=slider--with-disabled');
    expect(yield page.locator('body').screenshot()).toMatchSnapshot('slider-with-disabled.png');
}));
