// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=switch--default');
    expect(yield page.locator('jp-switch').screenshot()).toMatchSnapshot('switch-default.png');
}));
test('Checked', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=switch--with-checked');
    expect(yield page.locator('jp-switch').screenshot()).toMatchSnapshot('switch-with-checked.png');
}));
test('Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=switch--with-disabled');
    expect(yield page.locator('jp-switch').screenshot()).toMatchSnapshot('switch-disabled.png');
}));
test('With Messages', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=switch--with-messages');
    expect(yield page.locator('jp-switch').screenshot()).toMatchSnapshot('switch-with-messages.png');
}));
