"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--default');
    test_1.expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-default.png');
}));
test_1.test('With Custom Children', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--with-custom-children');
    test_1.expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-with-custom-children.png');
}));
test_1.test('With Start Icon', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--with-start-icon');
    test_1.expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-with-start-icon.png');
}));
test_1.test('With End Icon', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--with-end-icon');
    test_1.expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-with-end-icon.png');
}));
//# sourceMappingURL=breadcrumb.test.js.map