"use strict";
// Copyright (c) Jupyter Development Team.
// Copyright (c) Microsoft Corporation.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.breadcrumbStyles = exports.Breadcrumb = exports.jpBreadcrumb = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "Breadcrumb", { enumerable: true, get: function () { return fast_foundation_1.Breadcrumb; } });
const fast_components_1 = require("@microsoft/fast-components");
Object.defineProperty(exports, "breadcrumbStyles", { enumerable: true, get: function () { return fast_components_1.breadcrumbStyles; } });
/**
 * A function that returns a Breadcrumb registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#breadcrumbTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-breadcrumb>`
 */
exports.jpBreadcrumb = fast_foundation_1.Breadcrumb.compose({
    baseName: 'breadcrumb',
    template: fast_foundation_1.breadcrumbTemplate,
    styles: fast_components_1.breadcrumbStyles
});
//# sourceMappingURL=index.js.map