"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--default');
    test_1.expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-default.png');
}));
test_1.test('Checked', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--with-checked');
    test_1.expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-with-checked.png');
}));
test_1.test('Disabled', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--with-disabled');
    test_1.expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-disabled.png');
}));
test_1.test('Indeterminate', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=checkbox--with-indeterminate');
    test_1.expect(yield page.locator('jp-checkbox').screenshot()).toMatchSnapshot('checkbox-indeterminate.png');
}));
//# sourceMappingURL=checkbox.test.js.map