"use strict";
// Copyright (c) Jupyter Development Team.
// Copyright (c) Microsoft Corporation.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.comboboxStyles = void 0;
const fast_element_1 = require("@microsoft/fast-element");
const fast_foundation_1 = require("@microsoft/fast-foundation");
const fast_components_1 = require("@microsoft/fast-components");
const select_styles_1 = require("../select/select.styles");
/**
 * Styles for Combobox
 * @public
 */
const comboboxStyles = (context, definition) => fast_element_1.css `
  ${select_styles_1.selectStyles(context, definition)}

  :host(:empty) .listbox {
    display: none;
  }

  :host([disabled]) *,
  :host([disabled]) {
    cursor: ${fast_foundation_1.disabledCursor};
    user-select: none;
  }

  :host(:focus-within:not([disabled])) {
    border-color: ${fast_components_1.accentFillFocus};
    box-shadow: 0 0 0 calc((${fast_components_1.focusStrokeWidth} - ${fast_components_1.strokeWidth}) * 1px)
      ${fast_components_1.accentFillFocus};
  }

  .selected-value {
    -webkit-appearance: none;
    background: transparent;
    border: none;
    color: inherit;
    font-size: ${fast_components_1.typeRampBaseFontSize};
    line-height: ${fast_components_1.typeRampBaseLineHeight};
    height: calc(100% - (${fast_components_1.strokeWidth} * 1px));
    margin: auto 0;
    width: 100%;
  }

  .selected-value:hover,
  .selected-value:${fast_foundation_1.focusVisible},
  .selected-value:disabled,
  .selected-value:active {
    outline: none;
  }
`;
exports.comboboxStyles = comboboxStyles;
//# sourceMappingURL=combobox.styles.js.map