"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.allComponents = exports.jpTreeView = exports.jpTreeItem = exports.jpTooltip = exports.jpToolbar = exports.jpTextField = exports.jpTabs = exports.jpTabPanel = exports.jpTab = exports.jpSliderLabel = exports.jpSlider = exports.jpSelect = exports.jpSearch = exports.jpProgressRing = exports.jpProgress = exports.jpOption = exports.jpNumberField = exports.jpDataGridRow = exports.jpDataGridCell = exports.jpDataGrid = exports.jpCombobox = exports.jpCheckbox = exports.jpButton = exports.jpBreadcrumbItem = exports.jpBreadcrumb = exports.jpAvatar = exports.jpAnchoredRegion = void 0;
const index_1 = require("./anchored-region/index");
Object.defineProperty(exports, "jpAnchoredRegion", { enumerable: true, get: function () { return index_1.jpAnchoredRegion; } });
const index_2 = require("./avatar/index");
Object.defineProperty(exports, "jpAvatar", { enumerable: true, get: function () { return index_2.jpAvatar; } });
const index_3 = require("./breadcrumb/index");
Object.defineProperty(exports, "jpBreadcrumb", { enumerable: true, get: function () { return index_3.jpBreadcrumb; } });
const index_4 = require("./breadcrumb-item/index");
Object.defineProperty(exports, "jpBreadcrumbItem", { enumerable: true, get: function () { return index_4.jpBreadcrumbItem; } });
const index_5 = require("./button/index");
Object.defineProperty(exports, "jpButton", { enumerable: true, get: function () { return index_5.jpButton; } });
const index_6 = require("./checkbox/index");
Object.defineProperty(exports, "jpCheckbox", { enumerable: true, get: function () { return index_6.jpCheckbox; } });
const index_7 = require("./combobox/index");
Object.defineProperty(exports, "jpCombobox", { enumerable: true, get: function () { return index_7.jpCombobox; } });
const index_8 = require("./data-grid/index");
Object.defineProperty(exports, "jpDataGrid", { enumerable: true, get: function () { return index_8.jpDataGrid; } });
Object.defineProperty(exports, "jpDataGridCell", { enumerable: true, get: function () { return index_8.jpDataGridCell; } });
Object.defineProperty(exports, "jpDataGridRow", { enumerable: true, get: function () { return index_8.jpDataGridRow; } });
const index_9 = require("./number-field/index");
Object.defineProperty(exports, "jpNumberField", { enumerable: true, get: function () { return index_9.jpNumberField; } });
const index_10 = require("./option/index");
Object.defineProperty(exports, "jpOption", { enumerable: true, get: function () { return index_10.jpOption; } });
const index_11 = require("./progress/index");
Object.defineProperty(exports, "jpProgress", { enumerable: true, get: function () { return index_11.jpProgress; } });
const index_12 = require("./progress-ring/index");
Object.defineProperty(exports, "jpProgressRing", { enumerable: true, get: function () { return index_12.jpProgressRing; } });
const index_13 = require("./search/index");
Object.defineProperty(exports, "jpSearch", { enumerable: true, get: function () { return index_13.jpSearch; } });
const index_14 = require("./select/index");
Object.defineProperty(exports, "jpSelect", { enumerable: true, get: function () { return index_14.jpSelect; } });
const index_15 = require("./slider/index");
Object.defineProperty(exports, "jpSlider", { enumerable: true, get: function () { return index_15.jpSlider; } });
const index_16 = require("./slider-label/index");
Object.defineProperty(exports, "jpSliderLabel", { enumerable: true, get: function () { return index_16.jpSliderLabel; } });
const index_17 = require("./tab-panel/index");
Object.defineProperty(exports, "jpTabPanel", { enumerable: true, get: function () { return index_17.jpTabPanel; } });
const index_18 = require("./tab/index");
Object.defineProperty(exports, "jpTab", { enumerable: true, get: function () { return index_18.jpTab; } });
const index_19 = require("./tabs/index");
Object.defineProperty(exports, "jpTabs", { enumerable: true, get: function () { return index_19.jpTabs; } });
const index_20 = require("./text-field/index");
Object.defineProperty(exports, "jpTextField", { enumerable: true, get: function () { return index_20.jpTextField; } });
const index_21 = require("./toolbar/index");
Object.defineProperty(exports, "jpToolbar", { enumerable: true, get: function () { return index_21.jpToolbar; } });
const index_22 = require("./tooltip/index");
Object.defineProperty(exports, "jpTooltip", { enumerable: true, get: function () { return index_22.jpTooltip; } });
const index_23 = require("./tree-item/index");
Object.defineProperty(exports, "jpTreeItem", { enumerable: true, get: function () { return index_23.jpTreeItem; } });
const index_24 = require("./tree-view/index");
Object.defineProperty(exports, "jpTreeView", { enumerable: true, get: function () { return index_24.jpTreeView; } });
/**
 * All Jupyter Web Components
 * @public
 * @remarks
 * This object can be passed directly to the Design System's `register` method to
 * statically link and register all available components.
 */
exports.allComponents = {
    jpAnchoredRegion: index_1.jpAnchoredRegion,
    jpAvatar: index_2.jpAvatar,
    jpBreadcrumb: index_3.jpBreadcrumb,
    jpBreadcrumbItem: index_4.jpBreadcrumbItem,
    jpButton: index_5.jpButton,
    jpCheckbox: index_6.jpCheckbox,
    jpCombobox: index_7.jpCombobox,
    jpDataGrid: index_8.jpDataGrid,
    jpDataGridCell: index_8.jpDataGridCell,
    jpDataGridRow: index_8.jpDataGridRow,
    jpNumberField: index_9.jpNumberField,
    jpOption: index_10.jpOption,
    jpProgress: index_11.jpProgress,
    jpProgressRing: index_12.jpProgressRing,
    jpSearch: index_13.jpSearch,
    jpSelect: index_14.jpSelect,
    jpSlider: index_15.jpSlider,
    jpSliderLabel: index_16.jpSliderLabel,
    jpTab: index_18.jpTab,
    jpTabPanel: index_17.jpTabPanel,
    jpTabs: index_19.jpTabs,
    jpTextField: index_20.jpTextField,
    jpToolbar: index_21.jpToolbar,
    jpTooltip: index_22.jpTooltip,
    jpTreeItem: index_23.jpTreeItem,
    jpTreeView: index_24.jpTreeView,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    }
};
//# sourceMappingURL=custom-elements.js.map