"use strict";
// Copyright (c) Jupyter Development Team.
// Copyright (c) Microsoft Corporation.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataGridCellStyles = void 0;
const fast_components_1 = require("@microsoft/fast-components");
const fast_element_1 = require("@microsoft/fast-element");
const fast_foundation_1 = require("@microsoft/fast-foundation");
const fast_web_utilities_1 = require("@microsoft/fast-web-utilities");
/**
 * Styles for Data Grid cell
 * @public
 */
const dataGridCellStyles = (context, definition) => fast_element_1.css `
    :host {
      padding: calc(${fast_components_1.designUnit} * 1px) calc(${fast_components_1.designUnit} * 3px);
      color: ${fast_components_1.neutralForegroundRest};
      box-sizing: border-box;
      font-family: ${fast_components_1.bodyFont};
      font-size: ${fast_components_1.typeRampBaseFontSize};
      line-height: ${fast_components_1.typeRampBaseLineHeight};
      border: transparent calc(${fast_components_1.strokeWidth} * 1px) solid;
      font-weight: 400;
      overflow: hidden;
      white-space: nowrap;
      border-radius: calc(${fast_components_1.controlCornerRadius} * 1px);
    }

    :host(.column-header) {
      font-weight: 600;
    }

    :host(:${fast_foundation_1.focusVisible}) {
      outline: calc(${fast_components_1.focusStrokeWidth} * 1px) solid ${fast_components_1.accentFillFocus};
    }
  `.withBehaviors(fast_foundation_1.forcedColorsStylesheetBehavior(fast_element_1.css `
        :host {
          forced-color-adjust: none;
          border-color: transparent;
          background: ${fast_web_utilities_1.SystemColors.Field};
          color: ${fast_web_utilities_1.SystemColors.FieldText};
        }

        :host(:${fast_foundation_1.focusVisible}) {
          border-color: ${fast_web_utilities_1.SystemColors.FieldText};
          box-shadow: 0 0 0 2px inset ${fast_web_utilities_1.SystemColors.Field};
        }
      `));
exports.dataGridCellStyles = dataGridCellStyles;
//# sourceMappingURL=data-grid-cell.styles.js.map