"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataGridRowStyles = exports.dataGridStyles = exports.dataGridCellStyles = exports.DataGridCell = exports.DataGridRow = exports.DataGrid = exports.jpDataGrid = exports.jpDataGridRow = exports.jpDataGridCell = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "DataGrid", { enumerable: true, get: function () { return fast_foundation_1.DataGrid; } });
Object.defineProperty(exports, "DataGridCell", { enumerable: true, get: function () { return fast_foundation_1.DataGridCell; } });
Object.defineProperty(exports, "DataGridRow", { enumerable: true, get: function () { return fast_foundation_1.DataGridRow; } });
const fast_components_1 = require("@microsoft/fast-components");
Object.defineProperty(exports, "dataGridStyles", { enumerable: true, get: function () { return fast_components_1.dataGridStyles; } });
Object.defineProperty(exports, "dataGridRowStyles", { enumerable: true, get: function () { return fast_components_1.dataGridRowStyles; } });
const data_grid_cell_styles_1 = require("./data-grid-cell.styles");
Object.defineProperty(exports, "dataGridCellStyles", { enumerable: true, get: function () { return data_grid_cell_styles_1.dataGridCellStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#DataGridCell} registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-data-grid-cell>`
 */
exports.jpDataGridCell = fast_foundation_1.DataGridCell.compose({
    baseName: 'data-grid-cell',
    template: fast_foundation_1.dataGridCellTemplate,
    styles: data_grid_cell_styles_1.dataGridCellStyles
});
/**
 * A function that returns a {@link @microsoft/fast-foundation#DataGridRow} registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-data-grid-row>`
 */
exports.jpDataGridRow = fast_foundation_1.DataGridRow.compose({
    baseName: 'data-grid-row',
    template: fast_foundation_1.dataGridRowTemplate,
    styles: fast_components_1.dataGridRowStyles
});
/**
 * A function that returns a {@link @microsoft/fast-foundation#DataGrid} registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-data-grid>`
 */
exports.jpDataGrid = fast_foundation_1.DataGrid.compose({
    baseName: 'data-grid',
    template: fast_foundation_1.dataGridTemplate,
    styles: fast_components_1.dataGridStyles
});
//# sourceMappingURL=index.js.map