"use strict";
// Copyright (c) Jupyter Development Team.
// Copyright (c) Microsoft Corporation.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.numberFieldStyles = void 0;
const fast_components_1 = require("@microsoft/fast-components");
const fast_element_1 = require("@microsoft/fast-element");
const index_1 = require("../styles/index");
/**
 * Styles for Number Field
 * @public
 */
const numberFieldStyles = (context, definition) => fast_element_1.css `
    ${index_1.BaseFieldStyles}

    .controls {
      opacity: 0;
    }

    .step-up-glyph,
    .step-down-glyph {
      display: block;
      padding: 4px 10px;
      cursor: pointer;
    }

    .step-up-glyph:before,
    .step-down-glyph:before {
      content: '';
      display: block;
      border: solid transparent 6px;
    }

    .step-up-glyph:before {
      border-bottom-color: ${fast_components_1.neutralForegroundRest};
    }

    .step-down-glyph:before {
      border-top-color: ${fast_components_1.neutralForegroundRest};
    }

    :host(:hover:not([disabled])) .controls,
    :host(:focus-within:not([disabled])) .controls {
      opacity: 1;
    }
  `;
exports.numberFieldStyles = numberFieldStyles;
//# sourceMappingURL=number-field.styles.js.map