"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.searchStyles = exports.Search = exports.jpSearch = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
const fast_components_1 = require("@microsoft/fast-components");
const search_styles_1 = require("./search.styles");
Object.defineProperty(exports, "searchStyles", { enumerable: true, get: function () { return search_styles_1.searchStyles; } });
// TODO
//   we need to add error/invalid
/**
 * A function that returns a {@link @microsoft/fast-foundation#Search} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#searchTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-search>`
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
exports.jpSearch = fast_components_1.Search.compose({
    baseName: 'search',
    baseClass: fast_foundation_1.Search,
    template: fast_foundation_1.searchTemplate,
    styles: search_styles_1.searchStyles,
    shadowOptions: {
        delegatesFocus: true
    }
});
var fast_components_2 = require("@microsoft/fast-components");
Object.defineProperty(exports, "Search", { enumerable: true, get: function () { return fast_components_2.Search; } });
//# sourceMappingURL=index.js.map