"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectStyles = exports.jpSelect = exports.Select = void 0;
const tslib_1 = require("tslib");
const fast_element_1 = require("@microsoft/fast-element");
const fast_foundation_1 = require("@microsoft/fast-foundation");
const select_styles_1 = require("./select.styles");
Object.defineProperty(exports, "selectStyles", { enumerable: true, get: function () { return select_styles_1.selectStyles; } });
/**
 * Base class for Select
 * @public
 */
class Select extends fast_foundation_1.Select {
}
tslib_1.__decorate([
    fast_element_1.attr({ attribute: 'minimal', mode: 'boolean' })
], Select.prototype, "minimal", void 0);
exports.Select = Select;
/**
 * A function that returns a Select registration for configuring the component with a DesignSystem.
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-select>`
 *
 */
exports.jpSelect = Select.compose({
    baseName: 'select',
    baseClass: fast_foundation_1.Select,
    template: fast_foundation_1.selectTemplate,
    styles: select_styles_1.selectStyles,
    indicator: `
        <svg
            class="select-indicator"
            part="select-indicator"
            viewBox="0 0 12 7"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M11.85.65c.2.2.2.5 0 .7L6.4 6.84a.55.55 0 01-.78 0L.14 1.35a.5.5 0 11.71-.7L6 5.8 11.15.65c.2-.2.5-.2.7 0z"
            />
        </svg>
    `
});
//# sourceMappingURL=index.js.map